## hostname-3.12-1-src.tar.bz2

=== Makefile ===
CFLAGS+=-O2 -Wall

# uncomment the following line if you want to install to a different base dir.
#BASEDIR=/mnt/test

OBJS=hostname.o

hostname: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS) -lnsl
	ln -fs hostname dnsdomainname
	ln -fs hostname domainname
	ln -fs hostname ypdomainname
	ln -fs hostname nisdomainname

install: hostname
	install -d ${BASEDIR}/usr/share/man/man1
	install -o root -g root -m 0644 hostname.1 ${BASEDIR}/usr/share/man/man1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/dnsdomainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/domainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/ypdomainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/nisdomainname.1
	#install -o root -g root -m 0644 hostname.1.fr ${BASEDIR}/usr/share/man/fr/man1/hostname.1

	install -d ${BASEDIR}/bin
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	ln -f hostname ${BASEDIR}/bin/dnsdomainname
	ln -f hostname ${BASEDIR}/bin/domainname
	ln -f hostname ${BASEDIR}/bin/nisdomainname
	ln -f hostname ${BASEDIR}/bin/ypdomainname

clean:
	-rm -f $(OBJS) hostname dnsdomainname domainname nisdomainname ypdomainname

.PHONY: clean install

=== debian/control ===
Source: hostname
Section: admin
Priority: required
Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5)

Package: hostname
Architecture: any
Essential: yes
Replaces: nis (<< 3.17-30)
Breaks: nis (<< 3.17-30)
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to set/show the host name or domain name
 This package provides commands which can be used to display the system's
 DNS name, and to display or set its hostname or NIS domain name.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
	CROSS=
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Building package
	[ "$(DEBVERSION)" = "$(PRGVERSION)" ] || exit 1
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) $(CROSS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname $(CROSS)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
